Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Java] Class GroovyPagesPageContext

    java.lang.Object
      javax.servlet.jsp.PageContext
          org.codehaus.groovy.grails.web.pages.ext.jsp.GroovyPagesPageContext

    public class GroovyPagesPageContext
    extends PageContext

A JSP PageContext implementation for use with GSP.

Authors:
  Graeme Rocher

Since:
  1.1

Constructor Summary
`GroovyPagesPageContext(Servlet pagesServlet, groovy.lang.Binding pageScope)`
`GroovyPagesPageContext(groovy.lang.Binding pageScope)`
`GroovyPagesPageContext()`

Method Summary
`java.lang.Object` | `findAttribute(java.lang.String name)`
`void` | `forward(java.lang.String url)`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.lang.Object` | `getAttribute(java.lang.String name, int scope)`
`java.util.Enumeration` | `getAttributeNamesInScope(int scope)`
`int` | `getAttributesScope(java.lang.String name)`
`java.lang.Exception` | `getException()`
`ExpressionEvaluator` | `getExpressionEvaluator()`
`JspWriter` | `getOut()`
`java.lang.Object` | `getPage()`
`ServletRequest` | `getRequest()`
`ServletResponse` | `getResponse()`
`ServletConfig` | `getServletConfig()`
`ServletContext` | `getServletContext()`
`HttpSession` | `getSession()`
`VariableResolver` | `getVariableResolver()`
`void` | `handlePageException(java.lang.Exception e)`
`void` | `handlePageException(java.lang.Throwable throwable)`
`void` | `include(java.lang.String url)`
`void` | `include(java.lang.String url, boolean flush)`
`void` | `initialize(Servlet s, ServletRequest servletRequest, ServletResponse servletResponse, java.lang.String errorPageURL, boolean needSession, int bufferSize, boolean autoFlush)`
`JspWriter` | `popBody()`
`BodyContent` | `pushBody()`
`void` | `release()`
`void` | `removeAttribute(java.lang.String name)`
`void` | `removeAttribute(java.lang.String name, int scope)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value, int scope)`

Constructor Detail

### GroovyPagesPageContext

    public GroovyPagesPageContext(Servlet pagesServlet, groovy.lang.Binding pageScope)

### GroovyPagesPageContext

    @SuppressWarnings("serial")
    public GroovyPagesPageContext(groovy.lang.Binding pageScope)

### GroovyPagesPageContext

    public GroovyPagesPageContext()

Method Detail

### findAttribute

    @Override
    public java.lang.Object findAttribute(java.lang.String name)

### forward

    @Override
    public void forward(java.lang.String url)

### getAttribute

    @Override
    public java.lang.Object getAttribute(java.lang.String name)

### getAttribute

    @Override
    public java.lang.Object getAttribute(java.lang.String name, int scope)

### getAttributeNamesInScope

    @SuppressWarnings("rawtypes")
    @Override
    public java.util.Enumeration getAttributeNamesInScope(int scope)

### getAttributesScope

    @Override
    public int getAttributesScope(java.lang.String name)

### getException

    @Override
    public java.lang.Exception getException()

### getExpressionEvaluator

    @Override
    public ExpressionEvaluator getExpressionEvaluator()

### getOut

    @Override
    public JspWriter getOut()

### getPage

    @Override
    public java.lang.Object getPage()

### getRequest

    @Override
    public ServletRequest getRequest()

### getResponse

    @Override
    public ServletResponse getResponse()

### getServletConfig

    @Override
    public ServletConfig getServletConfig()

### getServletContext

    @Override
    public ServletContext getServletContext()

### getSession

    @Override
    public HttpSession getSession()

### getVariableResolver

    @Override
    public VariableResolver getVariableResolver()

### handlePageException

    @Override
    public void handlePageException(java.lang.Exception e)

### handlePageException

    @Override
    public void handlePageException(java.lang.Throwable throwable)

### include

    @Override
    public void include(java.lang.String url)

### include

    @Override
    public void include(java.lang.String url, boolean flush)

### initialize

    @Override
    public void initialize(Servlet s, ServletRequest servletRequest, ServletResponse servletResponse, java.lang.String errorPageURL, boolean needSession, int bufferSize, boolean autoFlush)

### popBody

    @Override
    public JspWriter popBody()

### pushBody

    @Override
    public BodyContent pushBody()

### release

    @Override
    public void release()

### removeAttribute

    @Override
    public void removeAttribute(java.lang.String name)

### removeAttribute

    @Override
    public void removeAttribute(java.lang.String name, int scope)

### setAttribute

    @Override
    public void setAttribute(java.lang.String name, java.lang.Object value)

### setAttribute

    @Override
    public void setAttribute(java.lang.String name, java.lang.Object value, int scope)

Groovy Documentation